#ifndef SPW_ACCESS_H
#define SPW_ACCESS_H

// {A0B64ED6-B1FD-4B67-9651-435CD2F78380}

static const GUID IID_ISpwAccess = 
{ 0xA0B64ED6, 0xB1FD, 0x4B67, { 0x96, 0x51, 0x43, 0x5C, 0xD2, 0xF7, 0x83, 0x80 } };


class ISpwAccess : public IUnknown
{
public:	
	virtual HRESULT STDMETHODCALLTYPE PutData(WORD* pData, WORD dwSize, DWORD dwChannelIndex) = 0;
	virtual HRESULT STDMETHODCALLTYPE GetData(WORD* pData, WORD* pdwSize, DWORD dwChannelIndex) = 0;
	virtual HRESULT STDMETHODCALLTYPE isLinked(DWORD dwChannelIndex) = 0;
};

#endif
