#ifndef ISCMODCTRL_H
#define ISCMODCTRL_H

extern const GUID IID_IScalarModulesCtrl;
extern const GUID IID_IScalarModule;


//MTC_DLL RESULT DEVAPI scalarSetChannels(HANDLE hModule, DWORD count_chans, HANDLE* hchannles);
//MTC_DLL RESULT DEVAPI scalarSetFs(HANDLE hModule, double val);

class IScalarModule : public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE SetChannelsBegin() = 0;
	virtual HRESULT STDMETHODCALLTYPE SetChannelsAdd(HANDLE ch) = 0;
	virtual HRESULT STDMETHODCALLTYPE SetChannelsEnd() = 0;
	virtual HRESULT STDMETHODCALLTYPE SetFs(double fs) = 0;
	virtual HRESULT STDMETHODCALLTYPE CheckChannel(HANDLE ch) = 0;
};

class IScalarModulesCtrl : public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE AddModule(IScalarModule** ppModule, ULONG uID) = 0;
	virtual HRESULT STDMETHODCALLTYPE RemoveModule(IScalarModule * pModule) = 0;

};


#endif