#ifndef OBJECTIDS_H
#define OBJECTIDS_H

#include "mebase.h"
#include <static_assert.h>

namespace mebius { namespace system {

enum {
	OBJTYPE_COMMON    = 0x00001,
	OBJTYPE_DEVICE    = 0x00002
	
};


//  ,  16 
//     ,    
#define OBJTYPE_CODE( Type, Subtype, Base) (             \
    ((Base) << 24) | ((Subtype) << 16) | (0x0000ffff & (Type) )           \
)


}}
#endif
