#ifndef ICHANSLIST_H
#define ICHANSLIST_H

#include "mebase.h"
#include "IObject.h"
#include "IChannel.h"

namespace mebius_daq{

///     .
enum{
	///    
	CHLISTFLAG_CONNECTED = 0x00000001,
	/// 
	CHLISTFLAG_AVAILABLE = 0x00000002,
	/// 
	CHLISTFLAG_ALL       = 0xFFFFFFFF 
};  

class IChannel;

/// @interface IChansList
///    
///      
class IChansList
{
public:
	///     
	virtual mebase::ULONG MEBCALLTYPE GetCount()const=0;
	///    
	virtual MEBRESULT MEBCALLTYPE Get(mebius_daq::IChannel**pObject, const mebase::ULONG nIndex)const=0;
	///  
	virtual MEBRESULT MEBCALLTYPE Close()=0;
};
}


#endif
