#ifndef IOBJECT_H
#define IOBJECT_H

#include "mebase.h"
#include "MeVariant.h"

#include "metypes.h"
namespace mebius_daq { 

using mebase::MEBRESULT;

/// @interface IObject
///     MebiusDAQ
/// 
class IObject
{
public:
	///  
	virtual MEBRESULT MEBCALLTYPE SetProperty(mebase::ULONG id, const mebase::system::CMeVariant& prop) = 0;

	///  
	virtual MEBRESULT MEBCALLTYPE GetProperty(mebase::ULONG id, mebase::system::CMeVariant& prop) = 0;

	///  
	virtual MEBRESULT MEBCALLTYPE Invoke(mebase::ULONG id, mebase::system::CMeVariant& param) = 0;

	///   
	///   IUnknown::QueryInterface
	/// id      
	///      
	virtual MEBRESULT MEBCALLTYPE RequestInterface(mebase::ULONG id, void** ppInterface) = 0;

	///     
	///       
	virtual MEBRESULT MEBCALLTYPE GetObjectTypeId(mebase::ULONG* pId) = 0;

};
}

#endif
