#ifndef IPERMANENTCHANIDSCONTROL_H
#define IPERMANENTCHANIDSCONTROL_H

extern const GUID IID_IPermanentChanIdsControl;


class IStringIdsList
{
public:
	///     
	virtual ULONG STDMETHODCALLTYPE GetCount() const = 0;
	
	///    
	virtual const char * const STDMETHODCALLTYPE Get(const ULONG nIndex) const = 0;
	
	///   (    )
	virtual HRESULT STDMETHODCALLTYPE Close() = 0;
};

/// @interface IPermanentChanIdsControl
class IPermanentChanIdsControl : public IUnknown
{
public:
	///    
	// virtual ULONG STDMETHODCALLTYPE xdvchGetAvailableChansCount() = 0;

	virtual HRESULT STDMETHODCALLTYPE xdvchGetChansList(IStringIdsList** a_ppList) = 0;

	///      
	virtual HRESULT     STDMETHODCALLTYPE xdvchGetAddress(LPCTSTR a_pchID, char* a_pchAddress, int* p_nBuffLen ) = 0;
	///        
	virtual HRESULT     STDMETHODCALLTYPE xdvchGetDeviceName(LPCTSTR a_pchID, char* a_pchDeviceName, int* p_nBuffLen) = 0;
	///        
	virtual HRESULT     STDMETHODCALLTYPE xdvchGetDeviceInfo(LPCTSTR a_pchID, char* a_pchDeviceInfo, int* p_nBuffLen) = 0;

	///     
	virtual HRESULT STDMETHODCALLTYPE xdvchGetDeviceSerialNumber(
			LPCTSTR a_pchID, 
			char* pchDeviceSerialNumber, 
			int* pnBuffLen
		) = 0;
	
	
	///     
	virtual HRESULT     STDMETHODCALLTYPE xdvchGetChanInfo(LPCTSTR a_pchID, char* a_pchChanInfo, int* p_nBuffLen)=0;

		
	///     
	virtual HRESULT     STDMETHODCALLTYPE xdvchGetChanProperty(LPCTSTR a_pchID, ULONG a_nPropID, VARIANT& a_varProp) = 0;

};

#endif