#ifndef IUSERINPUTBIOX_H
#define IUSERINPUTBIOX_H

///      
///  



// {992C48BC-2A23-46c7-8357-5C5B6D0E0C11}
static const GUID IID_IUserInputBox = 
{ 0x992c48bc, 0x2a23, 0x46c7, { 0x83, 0x57, 0x5c, 0x5b, 0x6d, 0xe, 0xc, 0x11 } };


class IUserInputBox: public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE uib_Create(
			const BSTR a_bstrTitle, 
			const BSTR a_bstrMessage, 
			const BSTR a_bstrText, 
			DWORD a_dwPictureID, 
			DWORD a_dwOptions = 0, 
			HWND hTopWnd = 0
		) = 0;

	virtual HRESULT STDMETHODCALLTYPE uib_Show() = 0;

	virtual HRESULT STDMETHODCALLTYPE uib_Close() = 0;
	virtual HRESULT STDMETHODCALLTYPE uib_SetText(BSTR a_bstrText) = 0;
	virtual HRESULT STDMETHODCALLTYPE uib_GetText(BSTR* a_pbstrText) = 0;
};
#endif