#ifndef ALEVHNDL_H
#define ALEVHNDL_H

#include "IAlarm.h"
#include "itag.h"

// {4CBF0ABB-76D7-439c-8F3B-DDE85BB0A138}
extern const GUID IID_IAlarmEventHandler;

class IAlarmEventHandler : public IUnknown
{
	public:
		virtual HRESULT STDMETHODCALLTYPE OnAlarmEvent(
			ITag* pTag, 		//     
			IAlarm* pAlarm, //   
			int nIndex,			//    
			double dblVal,	// 
			ULONG flags			// ,
			)=0;
};

#endif