///////////////////////////////////////////////////////////////////////////////
// IAlarm
//
//      
//    
//
//  : mr\iface\ialarm.h
//
//      recorder
//
// 2005 ()  ""
///////////////////////////////////////////////////////////////////////////////

#ifndef IALARM_H
#define IALARM_H

extern const GUID IID_IAlarm;

#include "alrmevnt.h"
#include "alarmprocessor.h"



class IAlarm : public IUnknown
{
  public:


    //  
    //
    virtual HRESULT STDMETHODCALLTYPE GetLevel(double* a_pdblLevel)=0;

    //  
    //
    virtual HRESULT STDMETHODCALLTYPE SetLevel(double a_dblLevel)=0;

    virtual HRESULT STDMETHODCALLTYPE GetEnabled(VARIANT_BOOL* a_pbFlag)=0;

		virtual HRESULT STDMETHODCALLTYPE SetEnabled(VARIANT_BOOL a_bFlag)=0;


    virtual HRESULT STDMETHODCALLTYPE GetRecTrigger(VARIANT_BOOL* a_pbFlag)=0;

		virtual HRESULT STDMETHODCALLTYPE SetRecTrigger(VARIANT_BOOL a_bFlag)=0;


    virtual HRESULT STDMETHODCALLTYPE GetSignalTo(BSTR* a_pbstrName)=0;

		virtual HRESULT STDMETHODCALLTYPE SetSignalTo(BSTR a_pbstrName)=0;


    virtual HRESULT STDMETHODCALLTYPE GetSignalToValue(double* a_pdblVal)=0;

		virtual HRESULT STDMETHODCALLTYPE SetSignalToValue(double a_dblVal)=0;

    //   
    //
    //     COM
    //        
    //
    virtual HRESULT STDMETHODCALLTYPE GetName(BSTR* a_pbstrName)=0;
    //   
    //
    virtual HRESULT STDMETHODCALLTYPE SetName(BSTR a_pbstrName)=0;

    //  
    //
    virtual HRESULT STDMETHODCALLTYPE GetColor(COLORREF* a_pColor)=0;

    //  
    //
    virtual HRESULT STDMETHODCALLTYPE SetColor(COLORREF a_clColor)=0;


    virtual HRESULT STDMETHODCALLTYPE Reset()=0;
    virtual HRESULT STDMETHODCALLTYPE AddEventHandler(IAlarmEvent* a_pHandler)=0;

		//        
		//   ,   

    virtual HRESULT STDMETHODCALLTYPE GetSoundName(BSTR* a_pbstrPath)=0;

		virtual HRESULT STDMETHODCALLTYPE SetSoundName(BSTR a_bstrPath)=0;

		//   
		virtual HRESULT STDMETHODCALLTYPE GetGistPerc(double* a_pdblP)=0;
		virtual HRESULT STDMETHODCALLTYPE SetGistPerc(double a_dblP)=0;



};

#endif