#ifndef IVFCTRL_H
#define IVFCTRL_H
#include "ivform.h"

// {9ADB0F97-1C7A-4e0c-885E-5D4B851854DE}
static const GUID IID_IVFormsControl = 
{ 0x9adb0f97, 0x1c7a, 0x4e0c, { 0x88, 0x5e, 0x5d, 0x4b, 0x85, 0x18, 0x54, 0xde } };


class IVFormsControl : public IUnknown
{
	public:
		//   
		virtual HRESULT  STDMETHODCALLTYPE RegisterVForm(IVForm* m_pIVForm, long a_lParam=0)=0;
		//      
		virtual HRESULT  STDMETHODCALLTYPE UnregisterVForm(IVForm* m_pIVForm)=0;

		//     
		virtual IVForm*  STDMETHODCALLTYPE GetVFormByName(const char* a_pchName)=0;
		//     
		virtual IVForm*  STDMETHODCALLTYPE GetVFormByIndex(ULONG a_nIndex)=0;

		//   
		virtual HRESULT  STDMETHODCALLTYPE SetCurrentForm(IVForm* m_pIVForm)=0;
		
		//     
		virtual HRESULT  STDMETHODCALLTYPE DetachForm(IVForm* m_pIVForm, ULONG a_nFlags)=0;

		//     
		virtual HRESULT  STDMETHODCALLTYPE AttachForm(IVForm* m_pIVForm, ULONG a_nFlags)=0;

		//  
		virtual HRESULT  STDMETHODCALLTYPE GetFormsCount(ULONG* a_pnCount)=0;
		//      
		// 0  S_FALSE   
		virtual HRESULT  STDMETHODCALLTYPE GetFormHolder(ULONG a_nIndex, HWND* a_phwnd)=0;



};
#endif