/******************************************************************************/
/*  Recorder\iface                                                            */
/*                                                                            */
/*    IMeraServiceInfo                                     */
/*                       IMeraServiceInfoItem                                 */
/*       mera                   */
/*               */
/*      .      ...*/
/*                                                                            */
/*                                                                            */
/*                                                                            */
/*    : merasrvc.h                                            */
/*  : MVC++6.0                                                      */
/*                                                                            */
/*  (c)  "" 2009, 2002 .                                             */
/******************************************************************************/



#ifndef MERASRVC_H
#define MERASRVC_H


// {2DD76842-110B-40cc-9197-03B6C56997FA}
extern const GUID IID_IMeraServiceInfo;

// {3579210B-66E8-4202-B4C9-D5D31A4E13AF}
extern const GUID IID_IMeraServiceInfoItem;


class IMeraServiceInfoItem	: public IUnknown
{
	public:
		//       .mera 
		virtual HRESULT STDMETHODVCALLTYPE GetMeraStrings(BSTR* a_pText)PURE;

		//     
		virtual HRESULT STDMETHODVCALLTYPE GetAdditionalFileName(BSTR* a_pName)PURE;
		//      
		virtual HRESULT STDMETHODVCALLTYPE GetAdditionalFileContentBufferSize(ULONG* a_pSize)PURE;
		//     
		virtual HRESULT STDMETHODVCALLTYPE GetAdditionalFileContent(BYTE* a_pData)PURE;
};

class IMeraServiceInfo	: public IUnknown
{
	public:
		virtual HRESULT STDMETHODVCALLTYPE GetItemsCount(ULONG* a_pnCnt) PURE;
		virtual HRESULT STDMETHODVCALLTYPE GetItem(ULONG a_nIndex, IMeraServiceInfoItem** a_ppItem) PURE;
};


#endif