///////////////////////////////////////////////////////////////////////////////
// ITagsUpdateSet
//
//      
//    ITagsUpdateSetsControl::CreateSet
//
//  : mr\iface\tagsuset.h
//
//      recorder
//
// 2005 ()  ""
///////////////////////////////////////////////////////////////////////////////

#ifndef TAGSUSET_H
#define TAGSUSET_H

#include "itag.h"
#include "udsubscr.h"

// {C34AF32F-28EF-4e7d-BFF9-1FAC1AFB2EF1}
extern const GUID IID_ITagsUpdateSet;


class ITagsUpdateSet: public IUnknown
{
	public:
		//   
		virtual HRESULT STDMETHODCALLTYPE AddTag(ITag* a_pTag)=0;

		//   
		virtual HRESULT STDMETHODCALLTYPE RemoveTag(ITag* a_pTag)=0;

		//    
		virtual HRESULT STDMETHODCALLTYPE FindTag(/*[in]*/ITag* a_pTag, /*[out]*/ULONG* pIndex)=0;

		//    
		virtual ULONG   STDMETHODCALLTYPE Validate()=0;

		//     
		virtual HRESULT STDMETHODCALLTYPE SetUpdateTime(ULONG m_uTime)=0;

		//      
		virtual HRESULT STDMETHODCALLTYPE SetUpdatePortion(ULONG m_uSize)=0;


		//     
		virtual HRESULT STDMETHODCALLTYPE SubscribePlugin(IUpdateDataSubscriber* a_pSubscriber)=0;

};
#endif