#ifndef IMIC018CTRL_H
#define IMIC018CTRL_H


// {EC8DD1C0-A415-4bcc-8241-3115FCC1617D}
extern GUID IID_IMIC018Ctrl;

class IMIC018Ctrl : public IUnknown
{
	public:
		virtual HRESULT STDMETHODCALLTYPE GetTKC(HANDLE hChan, ULONG* pnTKC)=0;
		virtual HRESULT STDMETHODCALLTYPE PutTKC(HANDLE hChan, ULONG nTKC)=0;
		virtual HRESULT STDMETHODCALLTYPE ZBalance(HANDLE* pChans, ULONG nCount, LPVOID callback, LPVOID h_callback_data)=0;

		virtual HRESULT STDMETHODCALLTYPE GetBalanceDAC(HANDLE hChan, double* pdblValue)=0;
		virtual HRESULT STDMETHODCALLTYPE GetBalanceSoft(HANDLE hChan, double* pdblValue)=0;

		virtual HRESULT STDMETHODCALLTYPE PutBalanceDAC(HANDLE hChan, double dblValue)=0;
		virtual HRESULT STDMETHODCALLTYPE PutBalanceSoft(HANDLE hChan, double dblValue)=0;
		
		virtual HRESULT STDMETHODCALLTYPE PutCoefTemp(HANDLE hChan, ULONG nTKC, double dblValue)=0;


};

#endif