#ifndef IMODULE_H
#define IMODULE_H

// {EBD857C1-DF75-11d6-9243-00E029288A7F}
static const GUID IID_IModule = 
{ 0xebd857c1, 0xdf75, 0x11d6, { 0x92, 0x43, 0x0, 0xe0, 0x29, 0x28, 0x8a, 0x7f } };


///  
enum{
	MDPROP_SLOT,           ///< 
	MDPROP_TYPE,           ///< 
	MDPROP_SERIALNUMBER,   ///<  
	MDPROP_VERSIONMAJOR,   ///<   
	MDPROP_VERSIONMINOR,   ///<   
	MDPROP_NAME,           ///< 
	MDPROP_INFO,           ///<  
	MDPROP_INITIALIZED,    ///<   ""
	MDPROP_MAX_CHAN_COUNT, ///<     
	MDPROP_HOST_DEVICE,    ///<   [out] VT_UNKNOWN
	MDPROP_LINK_DEVICE
};

class IModule: public IUnknown
{
public:
	virtual WORD STDMETHODCALLTYPE GetType() = 0;
	virtual HRESULT STDMETHODCALLTYPE _GetProperty(DWORD dwPropertyID, VARIANT& Value) = 0;
	virtual HRESULT STDMETHODCALLTYPE _SetProperty(DWORD dwPropertyID, VARIANT Value) = 0;
	virtual ULONG   STDMETHODCALLTYPE _Reset() = 0;

};
typedef IModule* PIModule;

#endif

