#ifndef ICHANGECHANNELSTATECALLBACK_H
#define ICHANGECHANNELSTATECALLBACK_H

#include "mebase.h"
#include "IChannel.h"

namespace mebius_daq{
using mebase::CHANSTATE;

class IChannel;


/// @interface IChangeChannelStateCallback
//!      
//!     


class IChangeChannelStateCallback
{
public:
	///   
	virtual mebase::MEBRESULT MEBCALLTYPE OnChangeChannelState(
			IChannel* pChannel,     ///< [in]   
			CHANSTATE stateNew, ///< [in]  
			CHANSTATE stateOld  ///< [in]  
		) = 0;
};
}
#endif
