#ifndef MBPROPERTYIDS_H
#define MBPROPERTYIDS_H

#include "MebiusDAQ/Iface/PropIdBase.h"

namespace mebius_daq{

const mebase::ULONG MEPROP_ENA_CALIBR = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 1);
const mebase::ULONG MEPROP_FREQ = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 2);
const mebase::ULONG MEPROP_LPF_FREQ = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 3);
const mebase::ULONG MEPROP_GAIN1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 4);
const mebase::ULONG MEPROP_GAIN2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 5);
const mebase::ULONG MEPROP_ENABLED = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 6);
const mebase::ULONG MEPROP_ENA_CALIBR1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 7);
const mebase::ULONG MEPROP_FREQ1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 8);
const mebase::ULONG MEPROP_LPF_FREQ1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 9);
const mebase::ULONG MEPROP_GAIN11 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 10);
const mebase::ULONG MEPROP_GAIN21 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 11);
const mebase::ULONG MEPROP_ENABLED1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 12);
const mebase::ULONG MEPROP_ENA_CALIBR2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 13);
const mebase::ULONG MEPROP_FREQ2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 14);
const mebase::ULONG MEPROP_LPF_FREQ2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 15);
const mebase::ULONG MEPROP_GAIN12 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 16);
const mebase::ULONG MEPROP_GAIN22 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 17);
const mebase::ULONG MEPROP_ENABLED2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 18);
const mebase::ULONG MEPROP_ENA_CALIBR3 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 19);
const mebase::ULONG MEPROP_FREQ3 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 20);
const mebase::ULONG MEPROP_LPF_FREQ3 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 21);
const mebase::ULONG MEPROP_GAIN13 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 22);
const mebase::ULONG MEPROP_GAIN23 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 23);
const mebase::ULONG MEPROP_ENABLED3 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 24);
const mebase::ULONG MEPROP_ENA_CALIBR4 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 25);
const mebase::ULONG MEPROP_FREQ4 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 26);
const mebase::ULONG MEPROP_LPF_FREQ4 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 27);
const mebase::ULONG MEPROP_GAIN14 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 28);
const mebase::ULONG MEPROP_GAIN24 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 29);
const mebase::ULONG MEPROP_ENABLED4 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 30);
const mebase::ULONG MEPROP_ENA_FAP1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 31);
const mebase::ULONG MEPROP_ENA_FAP2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 32);
const mebase::ULONG MEPROP_ENA_IMIT1 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 33);
const mebase::ULONG MEPROP_ENA_IMIT2 = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 34);
const mebase::ULONG MEPROP_SENSOR_SUPPLY_ON = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 35);
const mebase::ULONG MEPROP_SUPPLY_U_CODE = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 36);
const mebase::ULONG MEPROP_SUPPLY_FREQ_RESON = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 37);

/*

const mebase::ULONG MEPROP_CURFREQ = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 35);
const mebase::ULONG MEPROP_CURRENT_FREQ = MAKE_PROPID(MEPROPCLASSID_MR, MEPROPSUBCLASSID_MR2507, 36);

*/

}

#endif

