#ifndef IUSERPROPERTIES_H
#define IUSERPROPERTIES_H

extern const GUID IID_IUserProperties;



///   
enum {
	UPROPFLAG_PERMANENT = 0x0001, //<  ,    
	UPROPFLAG_MERA_FILE = 0x0002  //<      .mera
	
};


/// @interface IUserProperties      
/// 

class IUserProperties : public IUnknown
{
public:
	
	///   
	virtual HRESULT STDMETHODCALLTYPE SetUserProperty(
			const BSTR a_pPropId, 
			const VARIANT& a_varValue,
			const ULONG a_nFlags = 0 
			
		) = 0;
	
	///   
	///        
	/// S_FALSE
	virtual HRESULT STDMETHODCALLTYPE GetUserProperty(const BSTR a_pPropId, VARIANT& a_varValue) const = 0;	
	

	///    
	virtual HRESULT STDMETHODCALLTYPE GetUserPropertiesCount(ULONG* a_pnCount) const = 0;

	///    
	///       
	virtual HRESULT STDMETHODCALLTYPE GetUserPropertyByIndex(
			ULONG a_pnIndex, 
			BSTR* const a_pbstrPropId,
			VARIANT& a_varValue
		) const = 0;
		
	
};
#endif